Subject: bug#63019: restic is nine versions out of date

From: Fabio Natali <[email-masked]>
Date: Tue, 03 Sep 2024 17:22:37 +0100

> On Sat, Apr 22, 2023 at 04:03:29PM +0000, Kyle Andrews wrote:
>> I'm filing this bug report since I'm worried that the people who are
>> most knowledge about Go in Guix might not check that mailing list as
>> frequently.

Hi,

I wanted to send a quick follow up as Restic is still at 0.9.6 while
upstream is now at 0.17.0, with 0.17.1 round the corner I'm told.

I'm pretty much out of my depth when it comes to Go to be honest, but I
started looking at what the 0.9.6 to 0.17.1 update would mean.

'guix refresh' goes as far as updating the version number and the hash
but the build fails because of missing dependencies.

I've diffed the required Go modules from 'go.mod'[0] with what's
available in Guix at the minute. I've labelled the modules as 'y', 'n',
or '!'  depending on whether they are - respectively - available, not
available, or available but in a different version.

I'm attaching the result below.

Looking at this list, would anyone fluent in Go be able to see if
there's any clear blocker at the moment? If there's no blocker, I could
think of giving it a try or tentatively creating a bit of momentum to
"crowd-fix" this.

Thanks, cheers, Fabio.

n cloud.google.com/go v0.115.1 // indirect
n cloud.google.com/go/auth v0.9.1 // indirect
n cloud.google.com/go/auth/oauth2adapt v0.2.4 // indirect
n cloud.google.com/go/compute/metadata v0.5.0 // indirect
n cloud.google.com/go/iam v1.1.13 // indirect
n cloud.google.com/go/storage v1.43.0
n github.com/Azure/azure-sdk-for-go/sdk/azcore v1.14.0
n github.com/Azure/azure-sdk-for-go/sdk/azidentity v1.7.0
n github.com/Azure/azure-sdk-for-go/sdk/internal v1.10.0 // indirect
n github.com/Azure/azure-sdk-for-go/sdk/storage/azblob v1.4.0
n github.com/AzureAD/microsoft-authentication-library-for-go v1.2.2 // indirect
n github.com/Backblaze/blazer v0.6.1
n github.com/anacrolix/fuse v0.3.1
n github.com/elithrar/simple-scrypt v1.3.0
n github.com/go-ole/go-ole v1.3.0
n github.com/google/s2a-go v0.1.8 // indirect
n github.com/googleapis/enterprise-certificate-proxy v0.3.2 // indirect
n github.com/googleapis/gax-go/v2 v2.13.0 // indirect
n github.com/inconshreveable/mousetrap v1.1.0 // indirect
n github.com/minio/md5-simd v1.1.2 // indirect
n github.com/minio/minio-go/v7 v7.0.76
n github.com/ncw/swift/v2 v2.0.3
n github.com/peterbourgon/unixtransport v0.0.4
n github.com/pkg/browser v0.0.0-20240102092130-5ac0b6a4141c // indirect
n github.com/restic/chunker v0.4.0
n github.com/rs/xid v1.6.0 // indirect
n go.opencensus.io v0.24.0 // indirect
n go.opentelemetry.io/contrib/instrumentation/google.golang.org/grpc/otelgrpc v0.49.0 // indirect
n go.opentelemetry.io/contrib/instrumentation/net/http/otelhttp v0.49.0 // indirect
n go.opentelemetry.io/otel v1.24.0 // indirect
n go.opentelemetry.io/otel/metric v1.24.0 // indirect
n go.opentelemetry.io/otel/trace v1.24.0 // indirect
n google.golang.org/api v0.195.0
n google.golang.org/genproto v0.0.0-20240823204242-4ba0660f739c // indirect
n google.golang.org/genproto/googleapis/api v0.0.0-20240814211410-ddb44dafa142 // indirect
n google.golang.org/genproto/googleapis/rpc v0.0.0-20240823204242-4ba0660f739c // indirect
n google.golang.org/grpc v1.65.0 // indirect
n google.golang.org/protobuf v1.34.2 // indirect

! github.com/cespare/xxhash/v2 v2.3.0
! github.com/cpuguy83/go-md2man/v2 v2.0.4 // indirect
! github.com/dustin/go-humanize v1.0.1 // indirect
! github.com/felixge/fgprof v0.9.3 // indirect
! github.com/go-logr/logr v1.4.2 // indirect
! github.com/golang-jwt/jwt/v5 v5.2.1 // indirect
! github.com/google/pprof v0.0.0-20230926050212-f7f687d19a98 // indirect
! github.com/klauspost/compress v1.17.9
! github.com/kr/fs v0.1.0 // indirect
! github.com/pkg/xattr v0.4.10
! github.com/russross/blackfriday/v2 v2.1.0 // indirect
! golang.org/x/oauth2 v0.22.0

y github.com/cenkalti/backoff/v4 v4.3.0
y github.com/felixge/httpsnoop v1.0.4 // indirect
y github.com/go-ini/ini v1.67.0 // indirect
y github.com/go-logr/stdr v1.2.2 // indirect
y github.com/goccy/go-json v0.10.3 // indirect
y github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da // indirect
y github.com/google/go-cmp v0.6.0
y github.com/google/uuid v1.6.0 // indirect
y github.com/hashicorp/golang-lru/v2 v2.0.7
y github.com/klauspost/cpuid/v2 v2.2.8 // indirect
y github.com/kylelemons/godebug v1.1.0 // indirect
y github.com/pkg/errors v0.9.1
y github.com/pkg/profile v1.7.0
y github.com/pkg/sftp v1.13.6
y github.com/spf13/cobra v1.8.1
y github.com/spf13/pflag v1.0.5
y go.uber.org/automaxprocs v1.5.3
y golang.org/x/crypto v0.26.0
y golang.org/x/net v0.28.0
y golang.org/x/sync v0.8.0
y golang.org/x/sys v0.24.0
y golang.org/x/term v0.23.0
y golang.org/x/text v0.17.0
y golang.org/x/time v0.6.0
y gopkg.in/yaml.v3 v3.0.1 // indirect

[0] https://github.com/restic/restic/blob/master/go.mod